{
    "title": "MesWork-TV",
    "favicon": {
        "type": "resource",
        "id": "resourceLibrary_2"
    },
    "webSitStyle": {
        "HTML": {
            "overflow": "auto"
        },
        "body": {
            "margin": 0,
            "padding": 0,
            "width": "1920px",
            "height": "1080px",
            "overflow": "hidden",
            "position": "relative",
            "font-family": "MiSans Bold, serif",
            "backgroundColor"   : "#00893d"
        }
    },
    "ProjectConfig": [
        {
            "id": "MesWorkVisualKanban",
            "Pid": "#",
            "sequenceNumber": 0,
            "name": "示例项目",
            "type": "project",
            "componentType": "empty",
            "text": "示例项目的代码",
            "style": {
                "width": "1200px",
                "height": "900px",
                "background-color": "rgb(8, 31, 72)",
                "color": "white",
                "background-size": "100%"
            }
        },
        {
            "id": "mesworkLayou1",
            "Pid": "MesWorkVisualKanban",
            "sequenceNumber": 1,
            "name": "LayOutA",
            "type": "layout",
            "componentType": "div",
            "text": "示例项目的代码",
            "cornerStyle": 1,
            "style": {
                "position": "absolute",
                "width": "360px",
                "height": "310px",
                "top": "70px",
                "left": "20px",
                "-webkit-box-shadow": "rgb(24, 78, 135) 0 0 10px",
                "-moz-box-shadow": "rgb(24, 78, 135) 0 0 10px",
                "box-shadow": "inset 0 0 30px rgb(24, 78, 135)"
            }
        },
        {
            "id": "mesworkLayou2",
            "Pid": "MesWorkVisualKanban",
            "sequenceNumber": 2,
            "name": "LayOutA",
            "type": "layout",
            "componentType": "div",
            "text": "示例项0目的代码",
            "cornerStyle": 2,
            "style": {
                "position": "absolute",
                "width": "360px",
                "height": "310px",
                "top": "390px",
                "left": "20px",
                "-webkit-box-shadow": "rgb(24, 78, 135) 0 0 10px",
                "-moz-box-shadow": "rgb(24, 78, 135) 0 0 10px",
                "box-shadow": "inset 0 0 30px rgb(24, 78, 135)"
            }
        },
        {
            "id": "mesworkLayou3",
            "Pid": "MesWorkVisualKanban",
            "sequenceNumber": 2,
            "name": "LayOutA",
            "type": "layout",
            "componentType": "div",
            "text": "示例项0目的代码",
            "cornerStyle": 0,
            "style": {
                "position": "absolute",
                "width": "390px",
                "height": "310px",
                "top": "380px",
                "right": "20px",
                "-webkit-box-shadow": "rgb(24, 78, 135) 0 0 10px",
                "-moz-box-shadow": "rgb(24, 78, 135) 0 0 10px",
                "box-shadow": "inset 0 0 30px rgb(24, 78, 135)"
            }
        },
        {
            "id": "mesworkLayou4",
            "Pid": "MesWorkVisualKanban",
            "sequenceNumber": 2,
            "name": "LayOutA",
            "type": "layout",
            "componentType": "div",
            "text": "示例项0目的代码",
            "cornerStyle": 0,
            "style": {
                "position": "absolute",
                "width": "1150px",
                "height": "50px",
                "top": "5px",
                "left": "5px",
                "-webkit-box-shadow": "rgb(24, 78, 135) 0 0 10px",
                "-moz-box-shadow": "rgb(24, 78, 135) 0 0 10px",
                "box-shadow": "inset 0 0 30px rgb(24, 78, 135)"
            }
        },
        {
            "id": "mesworkLayou1_component_1",
            "Pid": "mesworkLayou1",
            "sequenceNumber": 2,
            "name": "LayOutA",
            "type": "component",
            "componentType": "div",
            "text": "mesworkLayou1_component_1",
            "cornerStyle": 0,
            "style": {
                "font-size": "20px"
            },
            "event": [],
            "api": [
                {
                    "id": "mesworkLayou1_component_1api1",
                    "Pid": "serverResource_1",
                    "type": "text",
                    "responseParams": "0|text"
                },
                {
                    "id": "mesworkLayou1_component_1api1",
                    "type": "style",
                    "responseParams": "key|value"
                }
            ]
        },
        {
            "id": "mesworkLayou1_component_1_1",
            "Pid": "mesworkLayou1",
            "sequenceNumber": 2,
            "name": "LayOutA",
            "type": "component",
            "componentType": "div",
            "text": "mesworkLayou1_component_1_1",
            "cornerStyle": 0,
            "style": {
                "color": "#08853d"
            },
            "event": [],
            "api": []
        },
        {
            "id": "mesworkLayou1_component_1_2",
            "Pid": "mesworkLayou1",
            "sequenceNumber": 2,
            "name": "LayOutA",
            "type": "component",
            "componentType": "img",
            "text": "示例项222222目的代码",
            "cornerStyle": 0,
            "src": {
                "type": "resource",
                "id": "resourceLibrary_3"
            },
            "imageStyle": {
                "height": "80px"
            },
            "style": {
                "height": "100px"
            },
            "event": [],
            "api": []
        },
        {
            "id": "mesworkLayou1_component_1_3",
            "Pid": "mesworkLayou1",
            "sequenceNumber": 15,
            "name": "LayOutA",
            "type": "component",
            "componentType": "img",
            "text": "示例项222222目的代码",
            "cornerStyle": 0,
            "src": {
                "type": "resource",
                "id": "resourceLibrary_1"
            },
            "imageStyle": {
                "height": "80px"
            },
            "style": {
                "height": "100px"
            },
            "event": [],
            "api": []
        },
        {
            "id": "mesworkLayou2_component_1",
            "Pid": "mesworkLayou2",
            "sequenceNumber": 2,
            "name": "LayOutA",
            "type": "component",
            "componentType": "chart",
            "style": {
                "width": "200px",
                "height": "150px",
                "border": "1px solid #00894d"
            },
            "event": [],
            "api": [],
            "chartOptions": {
                "series": [
                    {
                        "min": 0,
                        "max": 100,
                        "startAngle": 200,
                        "endAngle": -20,
                        "center": [
                            "50%", "60%"
                        ],
                        "type": "gauge",
                        "axisLine": {
                            "lineStyle": {
                                "width": 5,
                                "color": [
                                    [0.2, "#ffa94d"],
                                    [0.8, "#69db7c"],
                                    [1, "#ffa94d"]
                                ]
                            }
                        },
                        "pointer": {
                            "itemStyle": {
                                "color": "auto"
                            }
                        },
                        "radius": "120%",
                        "axisTick": {
                            "show": false
                        },
                        "splitLine": {
                            "distance": 0,
                            "length": 3,
                            "lineStyle": {
                                "width": 1,
                                "color": "white"
                            }
                        },
                        "axisLabel": {
                            "distance": 10,
                            "color": "white",
                            "fontSize": 7
                        },
                        "anchor": {
                            "show": true,
                            "showAbove": true,
                            "size": 5,
                            "itemStyle": {
                                "borderWidth": 3
                            }
                        },
                        "title": {
                            "show": false
                        },
                        "detail": {
                            "valueAnimation": true,
                            "fontSize": 16,
                            "color": "white",
                            "offsetCenter": [0, "50%"]
                        },
                        "data": [
                            {
                                "value": 80
                            }
                        ]
                    }
                ]
            }
        },
        {
            "id": "mesworkLayou2_component_2",
            "Pid": "mesworkLayou2",
            "sequenceNumber": 2,
            "name": "LayOutA",
            "type": "component",
            "componentType": "chart",
            "style": {
                "width": "200px",
                "height": "150px",
                "border": "1px solid #00894d"
            },
            "event": [],
            "api": [],
            "chartOptions": {
                "series": [
                    {
                        "min": 0,
                        "max": 100,
                        "startAngle": 200,
                        "endAngle": -20,
                        "center": [
                            "50%", "60%"
                        ],
                        "type": "gauge",
                        "axisLine": {
                            "lineStyle": {
                                "width": 5,
                                "color": [
                                    [0.2, "#ffa94d"],
                                    [0.8, "#69db7c"],
                                    [1, "#ffa94d"]
                                ]
                            }
                        },
                        "pointer": {
                            "itemStyle": {
                                "color": "auto"
                            }
                        },
                        "radius": "120%",
                        "axisTick": {
                            "show": false
                        },
                        "splitLine": {
                            "distance": 0,
                            "length": 3,
                            "lineStyle": {
                                "width": 1,
                                "color": "white"
                            }
                        },
                        "axisLabel": {
                            "distance": 10,
                            "color": "white",
                            "fontSize": 7
                        },
                        "anchor": {
                            "show": true,
                            "showAbove": true,
                            "size": 5,
                            "itemStyle": {
                                "borderWidth": 3
                            }
                        },
                        "title": {
                            "show": false
                        },
                        "detail": {
                            "valueAnimation": true,
                            "fontSize": 16,
                            "color": "white",
                            "offsetCenter": [0, "50%"]
                        },
                        "data": [
                            {
                                "value": 80
                            }
                        ]
                    }
                ]
            }
        },
        {
            "id": "mesworkLayou3_component_1",
            "Pid": "mesworkLayou3",
            "sequenceNumber": 2,
            "name": "LayOutA",
            "type": "component",
            "componentType": "chart",
            "style": {
                "width": "200px",
                "height": "150px",
                "border": "1px solid #00894d"
            },
            "event": [],
            "api": [],
            "chartOptions": {
                "grid": [
                    {
                        "left": "10%",
                        "top": "10%",
                        "right": "8%",
                        "bottom": "10%"
                    }
                ],
                "legend": {
                    "textStyle": {
                        "color": "#fff"
                    }
                },
                "tooltip": {
                    "trigger": "axis",
                    "axisPointer": {
                        "type": "shadow"
                    }
                },
                "xAxis": {
                    "type": "category",
                    "data": [1,2,3,4,5,6,7,8,9],
                    "axisLine": {
                        "lineStyle": {
                            "color": "white"
                        }
                    },
                    "axisLabel": {
                        "color": "white"
                    }
                },
                "yAxis": {
                    "type": "value",
                    "axisLabel": {
                        "color": "white"
                    },
                    "axisLine": {
                        "show": true,
                        "lineStyle": {
                            "color": "#fff"
                        }
                    },
                    "axisTick": {
                        "show": true,
                        "lineStyle": {
                            "color": "#fff"
                        }
                    },
                    "splitLine": {
                        "show": false
                    }
                },
                "series": [
                    {
                        "name": "A供水泵压力",
                        "data": [1,2,3,1,2,3,1,2,3],
                        "type": "line",
                        "color": "#83ffff"
                    },
                    {
                        "name": "B供水泵压力",
                        "data": [2,1,3,1,2,1,4,2,5],
                        "type": "line",
                        "color": "#efb300"
                    }
                ]
            }
        }
    ],
    "serverMS": [
        {
            "id": "serverConfig_1",
            "type": "http",
            "baseURL": "http://localhost:8401/submit/MESCommonBase.ashx",
            "timeout": 1500000,
            "responseType": "json",
            "method": "post",
            "Content-Type": "application/json"
        },
        {
            "id": "serverConfig_1_12",
            "type": "http",
            "baseURL": "http://localhost:8401/submit/MESCommonBase.ashx",
            "timeout": 1500000,
            "responseType": "json",
            "method": "get",
            "Content-Type": "application/json"
        },
        {
            "id": "serverConfig_2",
            "type": "mqtt",
            "baseURL": "127.0.0.1:8083",
            "timeout": 1500000,
            "username": "admin",
            "password": "admin",
            "subscribeTopic": "admin|admin1|admin2",
            "responseTopic": "admin"
        },
        {
            "id": "serverConfig_3",
            "type": "socket",
            "baseURL": "127.0.0.1:61101",
            "opname": "SCADAMain"
        }
    ],
    "serverResourceMS": [
        {
            "id": "serverResource_1",
            "Pid": "serverConfig_1",
            "config": {
                "type": 11,
                "name": "定量_查询",
                "params": []
            },
            "timer": 0
        }
    ],
    "resourceLibrary": [
        {
            "id": "resourceLibrary_1",
            "resourceType": "file",
            "path": "../../",
            "fileName": "HQLOGO",
            "fileType": "png"
        },
        {
            "id": "resourceLibrary_2",
            "resourceType": "base64",
            "path": "data:image/x-icon;base64,[encoded data, 22612 characters]",
            "fileName": "DFlogo",
            "fileType": "png"
        },
        {
            "id": "resourceLibrary_3",
            "resourceType": "base64",
            "path": "data:image/png;base64,[encoded data, 23152 characters]",
            "fileName": "DFlogo",
            "fileType": "jpg"
        },
        {
            "id": "resourceLibrary_4",
            "resourceType": "base64",
            "path": "data:image/x-icon;base64,[encoded data, 22612 characters]",
            "fileName": "DFlogo",
            "fileType": "png"
        }
    ]
}
